﻿# Вы можете расположить сценарий своей игры в этом файле.

# Цвета
define c_best = '#14C813'
define c_good1 = '#3CC813'
define c_good2 = '#64C813'
define c_good3 = '#8CC813'
define c_good4 = '#B4C813'
define c_bad1 = '#C8B413'
define c_bad2 = '#C88C13'
define c_bad3 = '#C86413'
define c_bad4 = '#C83C13'
define c_worst = '#C81413'
#define c_other = '#6414C8'
define c_other = '#7D2DE5'

define time_min = 6732 # Минимальное время в сеундах 6732
define time_max = 7872 # Максимальное время в сеундах 7872
define time_real = 6732 # Реальное время в сеундах
define time_r_h = 0 # Реальные часы
define time_r_m = 0 # Реальные минуты
define time_r_s = 0 # Реальные секунды
define time_d_h = 0 # Отображаемые часы
define time_d_m = 0 # Отображаемые минуты
define time_d_s = 0 # Отображаемые секунды
define ailurusfulgensphobia = 0 # Страх/стресс/ещё что-то типа того (при обнулении тратится время на приход в себя)
define ailurusfulgensphobia_min = 0
define ailurusfulgensphobia_max = 100
define rare_chance = 0 # Страх/стресс/ещё что-то типа того (при обнулении тратится время на приход в себя)
define rare_chance_min = 0
define rare_chance_max = 100
define rare_chance_add = 5

# Скрытые переменные
# первая ли комната
define watch_open = False # Открыты ли часы
define enter = False # Мы у входа?
define center = False # Мы в центре?
define exit = False # Мы у выхода?
define door_open = False # Открыта ли дверь (открывается, когда происходит редкое событие)

# Определение персонажей игры.
#define e = Character('Эйлин', color="#c8ffc8")



  #######################
### ТЕХНИЧЕСКИЕ ФУНКЦИИ ###
  #######################

# Перевод секунд в часы, минуты и секунды
label sec_to_hms:
    $ time_r_h = time_real // 3600
    $ time_r_m = (time_real % 3600) // 60
    $ time_r_s = (time_real % 3600) % 60
    return

# Показ реального времени в отображаемом
label hms_to_dhms(h = time_r_h, m = time_r_m, s = time_r_s):
    if time_r_h < 10:
        $ time_d_h = '0' + str(h)
    else:
        $ time_d_h = str(h)
    if time_r_m < 10:
        $ time_d_m = '0' + str(m)
    else:
        $ time_d_m = str(m)
    if time_r_s < 10:
        $ time_d_s = '0' + str(s)
    else:
        $ time_d_s = str(s)
    return

# Функция изменения времени (принимает изменение, возвращяет реальное время
label time_add (time = 0):
    $ time_real += time
    if watch_open:
        if time > 0:
            $ time_real += 1
        call ailurusfulgensphobia_add(1) from _call_ailurusfulgensphobia_add
    else:
        call ailurusfulgensphobia_add(-1) from _call_ailurusfulgensphobia_add_1
    call sec_to_hms from _call_sec_to_hms
    call hms_to_dhms from _call_hms_to_dhms
    show screen _watch
    call timer_check from _call_timer_check
    return

# Функция проверки таймера (принимает время, вызывает событие таймера, если нужно)
label timer_check:
    if time_real >= time_max:
        jump l_lose
    if time_real < time_min:
        jump l_win
    return

# Закрываем и открываем часы
label watch_reverse:
    if not watch_open:
        call time_add(1) from _call_time_add
    $ watch_open = not watch_open
    return

# Изменяем уровень стресса
label ailurusfulgensphobia_add (af = 0):
    $ ailurusfulgensphobia += af
    if ailurusfulgensphobia < ailurusfulgensphobia_min:
        $ ailurusfulgensphobia = ailurusfulgensphobia_min
    if ailurusfulgensphobia > ailurusfulgensphobia_max:
        $ ailurusfulgensphobia = ailurusfulgensphobia_max
    #call sec_to_hms
    #call hms_to_dhms
    call ailurusfulgensphobia_check from _call_ailurusfulgensphobia_check
    return

# Тут мы проверяем себя на отключку
label ailurusfulgensphobia_check:
    if ailurusfulgensphobia == ailurusfulgensphobia_max:
        #hide screen _ailurusfulgensphobia_open
        hide screen _room
        hide screen _watch
        "Вы теряете себя и не обращаете внимания на окружение."
        call ailurusfulgensphobia_add(-10) from _call_ailurusfulgensphobia_add_2
        "Время {color=[c_worst]}проходит незаметно{/color}."
        call ailurusfulgensphobia_add(-10) from _call_ailurusfulgensphobia_add_3
        call time_add(180) from _call_time_add_1
        "Впрочем, мир вокруг вскоре начинают обретать очертания. Вы приходите в себя."
        call ailurusfulgensphobia_add(-10) from _call_ailurusfulgensphobia_add_4
        call time_add(60) from _call_time_add_2
        "Кажется, вы готовы продолжать своё путешествие по комнатам. Осталось небольшое усилие..."
        call ailurusfulgensphobia_add(-10) from _call_ailurusfulgensphobia_add_5
        call time_add(60) from _call_time_add_3
    return


  ##########
### ЭКРАНЫ ###
  ##########

# Экран часов (показывает время, тратит секунду при открытии или после действия, тратящего время)
screen _watch:

    #action [действие 1, действие 2]
    modal False
    frame:
        padding (10, 10)
        xsize 321 ysize 150
        showif not watch_open:
            #vbox:
                text "Вы не следите за временем. Так {color=[c_good1]}проще{/color}." size 20
                #null height 35
                #textbutton "ВЗГЛЯНУТЬ НА ЧАСЫ (1 сек.)" action [Hide("watch_close"), Show("watch_open"), Call("watch_reverse")]
        else:
            vbox:
                text "Часы показывают {color=[c_other]}[time_d_h]:[time_d_m]:[time_d_s]{/color}" size 20
                null height 35
                text "Постоянная проверка часов {color=[c_bad3]}нервирует{/color} и тратит ({color=[c_bad3]}1 сек.{/color}) после каждого действия." size 20
                #textbutton "НЕ СМОТРЕТЬ НА ЧАСЫ" action [Hide("watch_open"), Show("watch_close"), Call("watch_reverse")]

# Экран самочувствия
screen _ailurusfulgensphobia_open:
    modal False
    frame:
        padding (10, 10)
        xsize 330
        xalign 1.0
        vbox:
            showif ailurusfulgensphobia < 10:
                text "Вы {color=[c_best]}спокойны{/color}" size 20
            elif ailurusfulgensphobia < 20:
                text "Вы {color=[c_good1]}взволнованы{/color}" size 20
            elif ailurusfulgensphobia < 30:
                text "Вы {color=[c_good2]}встревожены{/color}" size 20
            elif ailurusfulgensphobia < 40:
                text "Вы {color=[c_good3]}слегка напряжены{/color}" size 20
            elif ailurusfulgensphobia < 50:
                text "Вы {color=[c_good4]}нервничаете" size 20
            elif ailurusfulgensphobia < 60:
                text "Вы {color=[c_bad1]}нервничаете всё сильнее{/color}" size 20
            elif ailurusfulgensphobia < 70:
                text "Вы {color=[c_bad2]}боитесь{/color}"
            elif ailurusfulgensphobia < 80:
                text "Вы {color=[c_bad3]}чертовски напуганы{/color}" size 20
            elif ailurusfulgensphobia < 90:
                text "Вы {color=[c_bad4]}в панике{/color}" size 20
            elif ailurusfulgensphobia < 100:
                text "Вы {color=[c_worst]}в истерике{/color}" size 20
            else:
                text "Вы {color=[c_other]}отключаетесь{/color}" size 20
            
            #text "[ailurusfulgensphobia]"

screen _room:
    modal True
    fixed:
        xsize 1600 ysize 700
        showif not exit:
            fixed:
                xpos 900 ypos 110
                hbox:
                    text "Двигаться вперёд: " yalign 0.5
                    vbox:
                        textbutton "БЫСТРО ({color=[c_worst]}10 сек.{/color})" action [Hide("_room"), Jump("l_fast_forward")]
                        textbutton "НОРМАЛЬНО ({color=[c_bad4]}20 сек.{/color})" action [Hide("_room"), Jump("l_norm_forward")]
                        textbutton "ОСТОРОЖНО ({color=[c_bad3]}30 сек.{/color})" action [Hide("_room"), Jump("l_slow_forward")]
                    
        showif not enter:
            fixed:
                xpos 100 ypos 470
                hbox:
                    text "Двигаться назад: " yalign 0.5
                    vbox:
                        textbutton "БЫСТРО ({color=[c_worst]}10 сек.{/color})" action [Hide("_room"), Jump("l_fast_back")]
                        textbutton "НОРМАЛЬНО ({color=[c_bad4]}20 сек.{/color})" action [Hide("_room"), Jump("l_norm_back")]
                        textbutton "ОСТОРОЖНО ({color=[c_bad3]}30 сек.{/color})" action [Hide("_room"), Jump("l_slow_back")]
                    
        # Дверь, через которую вошли
        showif enter:
            fixed:
                xpos 600 ypos 350
                #xalign 0.5 yalign 0.5
                textbutton "ОТКРЫТЬ ДВЕРЬ ({color=[c_bad3]}10 сек.{/color})" action [Hide("_room"), Jump("l_prev_open_door")]
            
        # Выходная дверь
        showif exit:
            fixed:
                xpos 600 ypos 350
                #xalign 0.5 yalign 0.5
                textbutton "ОТКРЫТЬ ДВЕРЬ ({color=[c_bad3]}10 сек.{/color})" action [Hide("_room"), Jump("l_next_open_door")]
        
        fixed:
            xpos 330 ypos 50
            showif watch_open:
                textbutton "НЕ СМОТРЕТЬ НА ЧАСЫ" action [Call("watch_reverse")]
            else:
                textbutton "ВЗГЛЯНУТЬ НА ЧАСЫ ({color=[c_bad3]}1 сек.{/color})" action [Call("watch_reverse")]
        
        fixed:
            xpos 1050 ypos 520
            textbutton "НЕМНОГО УСПОКОИТЬСЯ ({color=[c_bad3]}10 сек.{/color})" action [Call("l_calm")]


  ###############
### ОСНОВА ИГРЫ ###
  ###############

# Успокоиться
label l_calm:
    call time_add (10) from _call_time_add_4
    call ailurusfulgensphobia_add (-1) from _call_ailurusfulgensphobia_add_6
    "Вам стало чуть спокойнее."
    return

# Нормальное движение вперёд
label l_choose_event(d = 0, u = 0, n = 0, place = "none"):
    $ rnum_type = renpy.random.randint(1, 100)
    $ rnum_rare = renpy.random.randint(1, 100)
    $ rnum_other = renpy.random.randint(1, 100)
    if place == "none":
        if rnum_rare <= rare_chance: # шанс редкого события
            call ev_common_rare from _call_ev_common_rare
        else: # шанс другого события
            if rnum_other <= d: # шанс опасного события
                call ev_common_danger from _call_ev_common_danger
            elif rnum_other <= d+u: # шанс полезного события
                call ev_common_useful from _call_ev_common_useful
            elif rnum_other <= d+u+n: # шанс нейтрального события
                call ev_common_neutral from _call_ev_common_neutral
            else: # оставшийся шанс
                call ev_common_neutral from _call_ev_common_neutral_1
    elif place == "enter":
        if rnum_type <= 75: # 75% - шанс события у входной двери
            if rnum_rare <= rare_chance: # шанс редкого события
                call ev_enter_rare from _call_ev_enter_rare
            else: # шанс другого события
                if rnum_other <= d: # шанс опасного события
                    call ev_enter_danger from _call_ev_enter_danger
                elif rnum_other <= d+u: # шанс полезного события
                    call ev_enter_useful from _call_ev_enter_useful
                elif rnum_other <= d+u+n: # шанс нейтрального события
                    call ev_enter_neutral from _call_ev_enter_neutral
                else: # оставшийся шанс
                    call ev_enter_neutral from _call_ev_enter_neutral_1
        else: # 25% - шанс общего события
            if rnum_rare <= rare_chance: # шанс редкого события
                call ev_common_rare from _call_ev_common_rare_1
            else: # шанс другого события
                if rnum_other <= d: # шанс опасного события
                    call ev_common_danger from _call_ev_common_danger_1
                elif rnum_other <= d+u: # шанс полезного события
                    call ev_common_useful from _call_ev_common_useful_1
                elif rnum_other <= d+u+n: # шанс нейтрального события
                    call ev_common_neutral from _call_ev_common_neutral_2
                else: # оставшийся шанс
                    call ev_common_neutral from _call_ev_common_neutral_3
    elif place == "exit":
        if rnum_type <= 75: # 75% - шанс события у выходной двери
            if rnum_rare <= rare_chance: # шанс редкого события
                call ev_exit_rare from _call_ev_exit_rare
            else: # шанс другого события
                if rnum_other <= d: # шанс опасного события
                    call ev_exit_danger from _call_ev_exit_danger
                elif rnum_other <= d+u: # шанс полезного события
                    call ev_exit_useful from _call_ev_exit_useful
                elif rnum_other <= d+u+n: # шанс нейтрального события
                    call ev_exit_neutral from _call_ev_exit_neutral
                else: # оставшийся шанс
                    call ev_exit_neutral from _call_ev_exit_neutral_1
        else: # 25% - шанс общего события
            if rnum_rare <= rare_chance: # шанс редкого события
                call ev_common_rare from _call_ev_common_rare_2
            else: # шанс другого события
                if rnum_other <= d: # шанс опасного события
                    call ev_common_danger from _call_ev_common_danger_2
                elif rnum_other <= d+u: # шанс полезного события
                    call ev_common_useful from _call_ev_common_useful_2
                elif rnum_other <= d+u+n: # шанс нейтрального события
                    call ev_common_neutral from _call_ev_common_neutral_4
                else: # оставшийся шанс
                    call ev_common_neutral from _call_ev_common_neutral_5
    elif place == "center":
        if rnum_type <= 75: # 75% - шанс события у входной двери
            if rnum_rare <= rare_chance: # шанс редкого события
                call ev_center_rare from _call_ev_center_rare
            else: # шанс другого события
                if rnum_other <= d: # шанс опасного события
                    call ev_center_danger from _call_ev_center_danger
                elif rnum_other <= d+u: # шанс полезного события
                    call ev_center_useful from _call_ev_center_useful
                elif rnum_other <= d+u+n: # шанс нейтрального события
                    call ev_center_neutral from _call_ev_center_neutral
                else: # оставшийся шанс
                    call ev_center_neutral from _call_ev_center_neutral_1
        else: # 25% - шанс общего события
            if rnum_rare <= rare_chance: # шанс редкого события
                call ev_common_rare from _call_ev_common_rare_3
            else: # шанс другого события
                if rnum_other <= d: # шанс опасного события
                    call ev_common_danger from _call_ev_common_danger_3
                elif rnum_other <= d+u: # шанс полезного события
                    call ev_common_useful from _call_ev_common_useful_3
                elif rnum_other <= d+u+n: # шанс нейтрального события
                    call ev_common_neutral from _call_ev_common_neutral_6
                else: # оставшийся шанс
                    call ev_common_neutral from _call_ev_common_neutral_7
    return


# Нормальное движение вперёд
label l_norm_forward:
    call time_add(20) from _call_time_add_5
    if enter:
        "Вы продвигаетесь в центр комнаты."
        # случайное событие центра
        call l_choose_event(33, 33, 33, "center") from _call_l_choose_event
        jump center_room
    else:
        "Вы идёте вперёд и приближаетесь к краю комнаты."
        # случайное событие у выхода
        call l_choose_event(33, 33, 33, "exit") from _call_l_choose_event_1
        jump exit_door
    return

# Быстрое движение вперёд
label l_fast_forward:
    call time_add(10) from _call_time_add_6
    call ailurusfulgensphobia_add(1) from _call_ailurusfulgensphobia_add_7
    if enter:
        "Вы быстро продвигаетесь в центр комнаты."
        # случайное событие центра
        call l_choose_event(50, 25, 25, "center") from _call_l_choose_event_2
        jump center_room
    else:
        "Вы спешно идёте вперёд и приближаетесь к краю комнаты."
        # случайное событие у выхода
        call l_choose_event(50, 25, 25, "exit") from _call_l_choose_event_3
        jump exit_door
    return

# Осторожное движение вперёд
label l_slow_forward:
    call time_add(30) from _call_time_add_7
    call ailurusfulgensphobia_add(-1) from _call_ailurusfulgensphobia_add_8
    if enter:
        "Вы осторожно продвигаетесь в центр комнаты."
        # случайное событие центра
        call l_choose_event(25, 37, 37, "center") from _call_l_choose_event_4
        jump center_room
    else:
        "Вы не спеша идёте вперёд и приближаетесь к краю комнаты."
        # случайное событие у выхода
        call l_choose_event(25, 37, 37, "exit") from _call_l_choose_event_5
        jump exit_door
    return

# Нормальное движение назад
label l_norm_back:
    call time_add(20) from _call_time_add_8
    if exit:
        "Вы возвращаетесь в центр комнаты."
        # случайное событие центра
        call l_choose_event(33, 33, 33, "center") from _call_l_choose_event_6
        jump center_room
    else:
        "Вы идёте назад и возвращаетесь к краю комнаты."
        # случайное событие у входа
        call l_choose_event(33, 33, 33, "enter") from _call_l_choose_event_7
        jump enter_door
    return

# Быстрое движение назад
label l_fast_back:
    call time_add(10) from _call_time_add_9
    call ailurusfulgensphobia_add(1) from _call_ailurusfulgensphobia_add_9
    if exit:
        "Вы возвращаетесь в центр комнаты."
        # случайное событие центра
        call l_choose_event(50, 25, 25, "center") from _call_l_choose_event_8
        jump center_room
    else:
        "Вы идёте назад и возвращаетесь к краю комнаты."
        # случайное событие у входа
        call l_choose_event(50, 25, 25, "enter") from _call_l_choose_event_9
        jump enter_door
    return

# Осторожное движение назад
label l_slow_back:
    call time_add(30) from _call_time_add_10
    call ailurusfulgensphobia_add(-1) from _call_ailurusfulgensphobia_add_10
    if exit:
        "Вы возвращаетесь в центр комнаты."
        # случайное событие центра
        call l_choose_event(25, 37, 37, "center") from _call_l_choose_event_10
        jump center_room
    else:
        "Вы идёте назад и возвращаетесь к краю комнаты."
        # случайное событие у входа
        call l_choose_event(25, 37, 37, "enter") from _call_l_choose_event_11
        jump enter_door
    return


# Пытаемся открыть входную дверь
label l_prev_open_door:
    if door_open:
        call time_add(-211) from _call_time_add_11
        "{color=[c_other]}Неожиданно дверь легко открывается и впускает вас в прошлое.{/color}"
        $ door_open = False
        $ rare_chance = rare_chance_min
        # случайное событие у выхода
        call l_choose_event(33, 33, 33, "exit") from _call_l_choose_event_12
        jump exit_door
    else: 
        call time_add(10) from _call_time_add_12
        "Вы пытаетесь отрыть дверь, через которую пришли, но она крепко заперта."
        jump enter_door
    return

# Открываем выходную дверь
label l_next_open_door:
    call time_add(10) from _call_time_add_13
    "Вы без проблем открываете дверь и заходите в следующую комнату. Она ничем не отличается от предыдущей."
    $ door_open = False
    $ rare_chance += rare_chance_add
    if rare_chance > rare_chance_max:
        $ rare_chance_add = rare_chance_max
    # случайное событие у входа
    call l_choose_event(33, 33, 33, "enter") from _call_l_choose_event_13
    jump enter_door
    return

# Игра начинается здесь:
label start:

    #$ persistent._clear()
    scene bg room

    #show eileen happy
    #e "Вы создали новую игру Ren'Py."
    "Вы входите в комнату и закрываете за собой {color=[c_other]}дверь{/color}."
    "Вы не знаете, где находитесь и откуда пришли."
    "А кто вы?"
    "Впрочем, размышлять некогда – вы точно знаете: нужно {color=[c_best]}покинуть{/color} эту комнату, а времени осталось {color=[c_worst]}мало.{/color}"
    
    call sec_to_hms from _call_sec_to_hms_1
    call hms_to_dhms from _call_hms_to_dhms_1
    
    show screen _watch
    "Хорошо, что у вас есть часы."
    
    show screen _ailurusfulgensphobia_open
    "Хотя если пялиться на них постоянно, то можно потерять много времени, да и спокойнее от осознания утекающих секунд вам не будет."

    "Вы понимаете, что всё это время смотрели на небольшое изображение, прикреплённое к двери."
    call ailurusfulgensphobia_add (11) from _call_ailurusfulgensphobia_add_11
    "На нём довольно схематично нарисован Пакман, изо рта которого вылезает нечто страшное и зубастое. Кто мог такое придумать?"
    "Неважно. У вас нет на это времени – нужно осмотреть комнату и двигаться дальше. Вы отворачиваетесь."
    jump enter_door
    
    #"Добавьте сюжет, изображения и музыку и отправьте её в мир!"

    return
    
# У входной двери
label enter_door:
    $ enter = True # Мы у входа?
    $ center = False # Мы в центре?
    $ exit = False # Мы у выхода?
    "Вы стоите у двери, через которую вошли. На противоположной стороне комнаты находится ещё одна дверь.{nw}"
    show screen _room
    # тут всякие условия н то, что рядом
    # осмотрелся ли игрок
    # что игрок видит
    # что игрок может делать
    # повторить, пока не уйдёт
    
    #call time_add(10)
    #jump center_room
    
    jump enter_door
    return   
    
# В середине комнаты
label center_room:
    $ enter = False # Мы у входа?
    $ center = True # Мы в центре?
    $ exit = False # Мы у выхода?
    "Вы стоите в центре комнаты. Вокруг пустота. {nw}"
    show screen _room
    # тут всякие условия н то, что рядом
    # осмотрелся ли игрок
    # что игрок видит
    # что игрок может делать
    # повторить, пока не уйдёт
    
    #call time_add(10)
    #jump exit_door
    
    jump center_room
    return

# У выходной двери
label exit_door:
    $ enter = False # Мы у входа?
    $ center = False # Мы в центре?
    $ exit = True # Мы у выхода?
    
    "Вы находитесь около двери. Кажется, через неё можно выйти.{nw}"
    show screen _room
    # тут всякие условия н то, что рядом
    # осмотрелся ли игрок
    # что игрок видит
    # что игрок может делать
    # повторить, пока не уйдёт
    
    #call time_add(10)
    #jump enter_door
    
    jump exit_door
    return  



  ###########
### СОБЫТИЯ ###
  ###########
   
# Опасное событие 1
label ev_common_danger:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "У себя в кармане вы нащупываете какую-то таблетку."
        "Если она там лежит, значит не просто так – её нужно употребить, что вы и делаете. Вас тут же {color=[c_worst]}клонит в сон{/color}."
        call time_add (renpy.random.randint(4, 32)) from _call_time_add_14
    elif randchoice == 2:
        "Кто-то кричит, обвиняя вас в воровстве."
        "Ах, это из соседней комнаты. Наверное, не вам, но вы уже {color=[c_worst]}испугались{/color}."
        call ailurusfulgensphobia_add (15) from _call_ailurusfulgensphobia_add_12
    elif randchoice == 3:
        "ev_common_danger 3"
    elif randchoice == 4:
        "ev_common_danger 4"
    else:
        "ev_common_danger error"
    return

# Полезное событие 1
label ev_common_useful:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "Вы вспоминаете, как когда-то были наёмником и охотились за головами."
        "Как тщательно подбирали экипировку. Как путешествовали по миру."
        "Погони, засады... Стоп, кажется это была какая-то книга..."
        call time_add (10) from _call_time_add_15
        call ailurusfulgensphobia_add (-8) from _call_ailurusfulgensphobia_add_13
    elif randchoice == 2:
        "Вы вспоминаете, как приехали в столицу большой империи."
        "Вы тогда служили рыцарем."
        "Или собирали какие-то безделушки..."
        "Нет, вы были кем-то третьим, но вспомнить не можете. За воспоминаниями проходят несколько споойных секунд."
        call time_add (10) from _call_time_add_16
        call ailurusfulgensphobia_add (-8) from _call_ailurusfulgensphobia_add_14
    elif randchoice == 3:
        "ev_common_useful 3"
    elif randchoice == 4:
        "ev_common_useful 4"
    else:
        "ev_common_useful error"
    return   
    
# Нейтральное событие 1
label ev_common_neutral:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "У себя в кармане вы нащупываете какую-то таблетку."
        "Подумав пару секунд, вы решаете, что без интструкции пробовать её не стоит."
        call time_add (2) from _call_time_add_17
    elif randchoice == 2:
        "Неожиданно вы достаёте из кармана несолько карт с идеям. И пистолет."
        "Взглянув на них, вы понимаете, что здесь они не потребуются. Даже пистолет."
        "Сбрасываете всё ненужное назад в карман."
    elif randchoice == 3:
        "Вокруг пусто и тихо."
    elif randchoice == 4:
        "Ничего плохого не случилось."
    else:
        "ev_common_neutral error"
    return

# Редкое событие 1
label ev_common_rare:
    $ randchoice = renpy.random.choice([1, 2])
    #$ door_open = True
    $ rare_chance -= rare_chance_add
    if rare_chance < rare_chance_min:
        $ rare_chance_add = rare_chance_min
    if randchoice == 1:
        "Вы вспоминаете необычных насекомых и добрые ягоды. Почему-то вам всё тревожнее."
        menu:
            "Лучше на ночь о таком не думать. А то {color=[c_worst]}аппетит разгуляется{/color}."
            "Забыть, как страшный сон":
                "Счастье в неведении. Вы выкидываете странные мысли из головы и сразу становится {color=[c_best]}спокойнее{/color}."
                call ailurusfulgensphobia_add (-5) from _call_ailurusfulgensphobia_add_15
            "Вспомнить больше":
                "Вы {color=[c_other]}вспоминаете{/color} ещё и ещё, собирая мозайку образов. Спокойнее от этого не становится."
                $ door_open = True
                call time_add (5) from _call_time_add_18
                call ailurusfulgensphobia_add (12) from _call_ailurusfulgensphobia_add_16
    elif randchoice == 2:
        "На вас падает небольшая тень."
        "И тут же куда-то уползает."
        "Вы хотите что-то предпринять, ищите варианты..."
        "Но что бы вы не сделали, произойдёт то, что {color=[c_other]}должно{/color}."
        $ door_open = True
        call time_add (11) from _call_time_add_19
        call ailurusfulgensphobia_add (2) from _call_ailurusfulgensphobia_add_17
    elif randchoice == 3:
        "ev_common_rare 3"
    elif randchoice == 4:
        "ev_common_rare 4"
    else:
        "ev_common_rare error"
    return   



 
# Опасное событие 1 у входной двери
label ev_enter_danger:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "На стене вы видите полочку, на которой стоит модель пассажирского самолёта."
        "На вас накатывает волна тревоги, после чего вы прислушиваетесь."
        "Вокруг вас абсолютная {color=[c_worst]}тишина{/color}."
        call time_add (14) from _call_time_add_20
        call ailurusfulgensphobia_add (renpy.random.randint(8, 12)) from _call_ailurusfulgensphobia_add_18
    elif randchoice == 2:
        "На полочке у стены лежит аппетитная ягодка."
        "Вы не можете сопротивляться нахлынувшим чувствам и тут же поглощаете её."
        "На вас {color=[c_worst]}накатывает{/color} чувство вины."
        call time_add (1) from _call_time_add_21
        call ailurusfulgensphobia_add (renpy.random.randint(10, 15)) from _call_ailurusfulgensphobia_add_19
    elif randchoice == 3:
        "ev_enter_danger 3"
    elif randchoice == 4:
        "ev_enter_danger 4"
    else:
        "ev_enter_danger error"
    return

# Полезное событие 1 у входной двери
label ev_enter_useful:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "На тумбочке около двери лежит небольшой клубок красных ниток. Нитка от него тянется вглубь комнаты и исчезает за другой дверью."
        "Вы хотели бы взять его с собой, но клубок всем своим видом даёт понять, что ждёт кого-то ещё."
        "Вы расходитесь {color=[c_worst]}мирно{/color}."
        call time_add (3) from _call_time_add_22
        call ailurusfulgensphobia_add (renpy.random.randint(-10, -8)) from _call_ailurusfulgensphobia_add_20
    elif randchoice == 2:
        "Вы находите список очень важных поручений, которые нужно непременно выполнить как можно скорее."
        "Как {color=[c_worst]}хорошо{/color}, что список предназначен не вам."
        call time_add (7) from _call_time_add_23
        call ailurusfulgensphobia_add (renpy.random.randint(-14, -10)) from _call_ailurusfulgensphobia_add_21
    elif randchoice == 3:
        "ev_enter_useful 3"
    elif randchoice == 4:
        "ev_enter_useful 4"
    else:
        "ev_enter_useful error"
    return   
    
# Нейтральное событие 1 у входной двери
label ev_enter_neutral:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "Вы замечаете кофейный аппарат рядом с дверью."
        "Вы пытаетесь воспользоваться им, но из крана вытекает только какая-то мятая бумажка. Ну её."
    elif randchoice == 2:
        "В стену около двери воткнут нож, на котором висит листок со списком каких-то имён."
        "От ножа и листочка веет такой опасностью, что вы предпочитаете переключить своё внимание на что-то ещё поскорее."
    elif randchoice == 3:
        "ev_enter_neutral 3"
    elif randchoice == 4:
        "ev_enter_neutral 4"
    else:
        "ev_enter_neutral error"
    return

# Редкое событие 1 у входной двери
label ev_enter_rare:
    $ randchoice = renpy.random.choice([1, 2])
    #$ door_open = True
    $ rare_chance -= rare_chance_add
    if rare_chance < rare_chance_min:
        $ rare_chance_add = rare_chance_min
    if randchoice == 1:
        "Вы оказываетесь около двери, через которую вошли, но вдруг за ней слышите звуки фантастического боя космических масштабов."
        menu:
            "Вам становится не по себе от происходящего, но всё-таки вы заворожены и восхищены объёмом услышанного."
            "Лучше отойти подальше":
                "Вы так хотите уйти, что у вас появляется дополнительное {color=[c_best]}время{/color}. Так будет {color=[c_best]}споойнее{/color}"
                call time_add (-20) from _call_time_add_24
                call ailurusfulgensphobia_add (renpy.random.randint(-10, -5)) from _call_ailurusfulgensphobia_add_22
            "Постучать в дверь и спросить, кто там":
                "Абсолютно нелогичное действие, но вам почему-то очень хочется поучаствовать в том, что происходит за дверью."
                "Вы {color=[c_other]}вспоминаете{/color}, что обычно она заперта."
                call ailurusfulgensphobia_add (renpy.random.randint(5, 15)) from _call_ailurusfulgensphobia_add_23
                $ door_open = True
    elif randchoice == 2:
        "Вы около двери, через которую вошли, а вот из двери напротив выглядывает девочка."
        "С большими острыми зубами, которые видно даже отсюда."
        menu:
            "Если не обращать внимания, то она уйдёт, да?"
            "Не обращать внимания":
                "{color=[c_best]}Она ушла.{/color}."
                call ailurusfulgensphobia_add (-25) from _call_ailurusfulgensphobia_add_24
                "{color=[c_worst]}Пока.{/color}."
                call ailurusfulgensphobia_add (10) from _call_ailurusfulgensphobia_add_25
            "Смело смотреть опасности в лицо!":
                "Вы бесстрашны, ведь вы {color=[c_other]}помните{/color}, что обычно дверь за вами заперта и отступать некуда."
                call ailurusfulgensphobia_add (10) from _call_ailurusfulgensphobia_add_26
                "Она уходит."
                $ door_open = True
    elif randchoice == 3:
        "ev_enter_rare 3"
    elif randchoice == 4:
        "ev_enter_rare 4"
    else:
        "ev_enter_rare error"
    return   




# Опасное событие 1 в середине комнаты
label ev_center_danger:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "Вы приближаетесь к центру комнаты, когда внезапно с противоположной стороны на вас выплывает образ гигантского корабля."
        "Безмятежно приближаясь к вам, он {color=[c_worst]}пугает и сводит с ума{/color}. Но вскоре образ судна рассеивается, растекаясь бледным туманом."
        call time_add (7) from _call_time_add_25
        call ailurusfulgensphobia_add (renpy.random.randint(10, 15)) from _call_ailurusfulgensphobia_add_27
    elif randchoice == 2:
        "Подходя к центру комнаты вы воображаете себя храбрым воином на верном коне, несущимся в гущу битвы."
        "Вы забываете {color=[c_worst]}надеть шлем{/color}."
        call time_add (8) from _call_time_add_26
        call ailurusfulgensphobia_add (renpy.random.randint(5, 10)) from _call_ailurusfulgensphobia_add_28
    elif randchoice == 3:
        "ev_center_danger 3"
    elif randchoice == 4:
        "ev_center_danger 4"
    else:
        "ev_center_danger error"
    return

# Полезное событие 1 в середине комнаты
label ev_center_useful:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "Подходя к центру комнаты вы воображаете себя храбрым воином на верном коне, несущимся в гущу битвы."
        "Вы не забываете {color=[c_best]}надеть шлем{/color}."
        call time_add (8) from _call_time_add_27
        call ailurusfulgensphobia_add (renpy.random.randint(-10, -5)) from _call_ailurusfulgensphobia_add_29
    elif randchoice == 2:
        "Подходя к центру комнаты вы замечаете простой столик, на котором лежит куча каого-то хлама."
        "Фонарик, канистра, какой-то шприц и ещё великое множество разных вещей."
        "Осматривая коллекцию, вы понимаете, что найдёте здесь средство для {color=[c_best]}преодоления{/color} любой проблемы."
        call time_add (10) from _call_time_add_28
        call ailurusfulgensphobia_add (renpy.random.randint(-15, -10)) from _call_ailurusfulgensphobia_add_30
        "Вы ничего не берёте."
    elif randchoice == 3:
        "ev_center_useful 3"
    elif randchoice == 4:
        "ev_center_useful 4"
    else:
        "ev_center_useful error"
    return   
    
# Нейтральное событие в середине комнаты
label ev_center_neutral:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "Вы представляете, что пол – это лава, а столик в центре – островок."
        "Было бы очень кстати увидеть какое-нибудь мощное оружие на том островке, но на нём уже ничего нет."
    elif randchoice == 2:
        "Перед вами барная стойка, стол, пара стульев и нехитрая утварь – как будто кусочек таверны посреди комнаты."
        "Это всё выглядит повреждённым и заброшенным, рядом никого нет. Вы надеетесь, что призраков тут тоже нет."
    elif randchoice == 3:
        "ev_center_neutral 3"
    elif randchoice == 4:
        "ev_center_neutral 4"
    else:
        "ev_center_neutral error"
    return

# Редкое событие 1 в середине комнаты
label ev_center_rare:
    $ randchoice = renpy.random.choice([1, 2])
    $ rare_chance -= rare_chance_add
    if rare_chance < rare_chance_min:
        $ rare_chance_add = rare_chance_min
    if randchoice == 1:
        "Подходя к центру комнаты вы замечаете резной столик, на котором лежат пять небольших корон."
        menu:
            "Рядом стоит резной стульчик. Можете посидеть здесь немного, успокоившись. Или пойти дальше, вспомнив о вашей цели."
            "Присесть":
                "Вам стало {color=[c_best]}спокойнее{/color}, как будто вы посидели в компании старых друзей."
                call time_add (renpy.random.randint(20, 40)) from _call_time_add_29
                call ailurusfulgensphobia_add (renpy.random.randint(-25, -15)) from _call_ailurusfulgensphobia_add_31
            "Не задерживаться":
                "Вы {color=[c_other]}вспоминаете{/color} о своей цели. Вам пора дальше исать выход."
                $ door_open = True
    elif randchoice == 2:
        'Вы видите палатку в центре комнаты. На ней висит табличка "Гоблин-загадочник". Кажется, в палатке никого.'
        menu:
            "Внизу под табличкой висит листок с нарисованным от руки ребусом."
            "Попытаться отгадать":
                "Разгадывание загадок {color=[c_best]}успокаивает{/color}."
                call time_add (renpy.random.randint(5, 30)) from _call_time_add_30
                call ailurusfulgensphobia_add (renpy.random.randint(-20, -15)) from _call_ailurusfulgensphobia_add_32
                "Вы не смогли угадать. А идти пора."
            "Подумать над другими загадками":
                "Вы {color=[c_other]}вспоминаете{/color}, что всё ещё не знаете, как выбраться. Эти мысли занимают ваш разум"
                call time_add (renpy.random.randint(10, 15)) from _call_time_add_31
                $ door_open = True
    elif randchoice == 3:
        "ev_center_rare 3"
    elif randchoice == 4:
        "ev_center_rare 4"
    else:
        "ev_center_rare error"
    return




# Опасное событие 1 у выходной двери
label ev_exit_danger:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "Вы уже собираетесь уходить из комнаты, как вдруг замечете бумажку, лежащую на полу. На ней напечатана таблица, содержащая много текста."
        "Затем вы видите ещё одну."
        "И ещё."
        "Вы понимаете, что все бумажки вам никогда {color=[c_worst]}не собрать{/color}. Вы не понимаете, зачем оно вам вообще."
        call time_add (16) from _call_time_add_32
        call ailurusfulgensphobia_add (renpy.random.randint(3, 8)) from _call_ailurusfulgensphobia_add_33
    elif randchoice == 2:
        "У двери вы видите большую вешалку с кучей одежды."
        "Ваше внимание привлекает ярко алая накидка с бордовым рисунком."
        "А не кровь ли это?"
        "Вам стало {color=[c_worst]}тревожнее{/color}."
        call time_add (10) from _call_time_add_33
        call ailurusfulgensphobia_add (renpy.random.randint(4, 8)) from _call_ailurusfulgensphobia_add_34
    elif randchoice == 3:
        "ev_exit_danger 3"
    elif randchoice == 4:
        "ev_exit_danger 4"
    else:
        "ev_exit_danger error"
    return

# Полезное событие 1 у выходной двери
label ev_exit_useful:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "У двери вы видите большую вешалку с кучей одежды."
        "Ваше внимание привлекает ярко алый головной убор."
        "Кажется, тут некому возражать, так что вы быстро примеряете шапочку на себя, а затем возвращаете её на место."
        "Вам стало {color=[c_worst]}спокойнее{/color}."
        call time_add (2) from _call_time_add_34
        call ailurusfulgensphobia_add (renpy.random.randint(-12, -8)) from _call_ailurusfulgensphobia_add_35
    elif randchoice == 2:
        "Вы готовитесь выходить, но, предвкушая будущие опасности, пытаетесь вспомнить свои боевые навыки."
        "Так, если противни атакует, то надо блокировать. Но можно и проатаковать в ответ. А если сильная атака? А когда использовать финт?"
        "Знания у вас так себе, но даже с ними {color=[c_worst]}спокойнее{/color}."
        call time_add (5) from _call_time_add_35
        call ailurusfulgensphobia_add (renpy.random.randint(-15, -5)) from _call_ailurusfulgensphobia_add_36
    elif randchoice == 3:
        "ev_exit_useful 3"
    elif randchoice == 4:
        "ev_exit_useful 4"
    else:
        "ev_exit_useful error"
    return   
    
# Нейтральное событие 1 у выходной двери
label ev_exit_neutral:
    $ randchoice = renpy.random.choice([1, 2])
    if randchoice == 1:
        "На стене висит работающая рация. Оттуда доносятся звуки каких-то переговоров."
        "Вам некогда внимательно вслушиваться в слова, но кажется, за обычной речью прячется какое-то напряжение."
    elif randchoice == 2:
        "На стене сидит кузнечик, под которым висит табличка с надписью."
        '"Кузнец не сможет с вами поговорить". Ну и пожалуйста, идём дальше.'
    elif randchoice == 3:
        "ev_exit_neutral 3"
    elif randchoice == 4:
        "ev_exit_neutral 4"
    else:
        "ev_exit_neutral error"
    return

# Редкое событие 1 у выходной двери
label ev_exit_rare:
    $ randchoice = renpy.random.choice([1, 2])
    #$ door_open = True
    $ rare_chance -= rare_chance_add
    if rare_chance < rare_chance_min:
        $ rare_chance_add = rare_chance_min
    if randchoice == 1:
        "Вы подходите к краю комнаты и видите перед собой дверь, но что-то в ней необычно."
        menu:
            "На ручке двери завявязан в узел длинный полосатый носок. Он выглядит пушистым и уютным. Но почему он здесь?"
            "Носок не помешает вам идти дальше!":
                "Ничто не остановит вас на пути к вашему заданию! Вы невероятно {color=[c_best]}спешите{/color} и сразу заходите в дверь."
                call time_add (-20) from _call_time_add_36
                jump l_next_open_door
            "Поразмыслить немного":
                "Вы {color=[c_other]}вспоминаете{/color} о том, что каждому носку нужна пара. Вряд ли она в этой комнате, но кто знает..."
                $ door_open = True
                call time_add (5) from _call_time_add_37
    elif randchoice == 2:
        "Оглядываясь назад, вы видите, как из противоположной двери выглядывает ребёнок, одетый в какие-то древние лохмотья."
        menu:
            "Вы хотите позвать малыша, но голос вас не слушается."
            "Успокоиться и попытаться успокоить ребёнка":
                "Первое вам удаётся {color=[c_best]}очень хорошо{/color}, а вот второе... Малыш быстро прячется за дверью."
                call ailurusfulgensphobia_add (renpy.random.randint(-20, -15)) from _call_ailurusfulgensphobia_add_37
            "Говорить, как получается":
                "Малыш быстро хлопает {color=[c_other]}дверью{/color} и тут же вы слышите шустрые удаляющиеся шаги."
                $ door_open = True
    elif randchoice == 3:
        "ev_exit_rare 3"
    elif randchoice == 4:
        "ev_exit_rare 4"
    else:
        "ev_exit_rare error"
    return




# словарь событий таймера
define time_events = {
    6732: 'ev_timer_6732',
    7872: 'ev_timer_7872',
}

# словарь сработавших событий таймера
define time_events_flags = {
    6732: False,
    7872: False,
}

# Событие таймера 6732 - старт
label ev_timer_6732:
    return

# Событие таймера 7872 - конец
label ev_timer_7872:
    return

# Событие таймера при достижении времени ниже стартового - победа
label ev_timer_win:
    return
    
# Пити-таймер
label ev_timer_:
    return



# Проигрыш
label l_lose:
    $ renpy.reset_all_contexts()
    #hide screen _ailurusfulgensphobia_open
    #hide screen _room
    #hide screen _watch
    if persistent.lose_count == None:
        $ persistent.lose_count = 1
    else:
        $ persistent.lose_count += 1 
    "{color=[c_worst]}Время вышло.{/color} Вы больше ничего не слышите и не видите. Вы не ощущаете комнаты. Вы не чувствуете дверей. Это конец."
    if persistent.lose_count > 1:
        "Вы снова здесь. Сколько раз вы достигали конца? Ах да, [persistent.lose_count]."
    if persistent.lose_count > 2:
        "Попробуйте {color=[c_other]}иногда{/color} оглядываться назад."
    if persistent.lose_count > 3:
        "Может вы специально спешите сюда? Или удача не на вашей стороне?"
    if persistent.lose_count > 4:
        "Что ж, успеха в следующие 19 минут. {color=[c_worst]}Наслаждайтесь!{/color}"
    return

# Победа
label l_win:
    $ renpy.reset_all_contexts()
    #hide screen _ailurusfulgensphobia_open
    #hide screen _room
    #hide screen _watch
    if persistent.win_count == None:
        $ persistent.win_count = 1
    else:
        $ persistent.win_count += 1 
    "{color=[c_best]}Вы вышли{/color} из замкнутого круга бесконечных комнат. Здесь ничего нет. Часы показывают {color=[c_other]}[time_d_h]:[time_d_m]:[time_d_s]{/color}. Время пока не пришло. Это победа."
    if persistent.win_count > 1:
        "Или временная передышка? Сколько раз вы уже выходили? Точно, [persistent.win_count]."
    if persistent.win_count > 2:
        "Но 19 минут начинаются снова и снова. Бесконечно."
    if persistent.win_count > 3:
        "Вы выиграли больше трёх раз! Похвально, вашим упорством можно восхититься."
    if persistent.win_count > 4:
        "Это последняя фраза. Пусть вам сопутствуют удача и спокойствие в трудные минуты. {color=[c_best]}Спасибо за игру!{/color}"
    return





















